<div>
    <h2 id="page-heading">
        <span jhiTranslate="shoppingonlineApp.azienda.home.title">Aziendas</span>

        <button id="jh-create-entity" class="btn btn-primary float-right jh-create-entity create-azienda" [routerLink]="['/azienda/new']">
            <fa-icon icon="plus"></fa-icon>
            <span  jhiTranslate="shoppingonlineApp.azienda.home.createLabel">
            Create a new Azienda
            </span>
        </button>
    </h2>

    <jhi-alert-error></jhi-alert-error>

    <jhi-alert></jhi-alert>

    <div class="alert alert-warning" id="no-result" *ngIf="aziendas?.length === 0">
        <span jhiTranslate="shoppingonlineApp.azienda.home.notFound">No aziendas found</span>
    </div>

    <div class="table-responsive" id="entities" *ngIf="aziendas && aziendas.length > 0">
        <table class="table table-striped" aria-describedby="page-heading">
            <thead>
                <tr>
                    <th scope="col" ><span jhiTranslate="global.field.id">ID</span></th>
                    <th scope="col" ><span jhiTranslate="shoppingonlineApp.azienda.nome">Nome</span></th>
                    <th scope="col" ><span jhiTranslate="shoppingonlineApp.azienda.cognome">Cognome</span></th>
                    <th scope="col" ><span jhiTranslate="shoppingonlineApp.azienda.agenzia">Agenzia</span></th>
                    <th scope="col"></th>
                </tr>
            </thead>
            <tbody>
                <tr *ngFor="let azienda of aziendas ;trackBy: trackId">
                    <td><a [routerLink]="['/azienda', azienda.id, 'view']">{{ azienda.id }}</a></td>
                    <td>{{ azienda.nome }}</td>
                    <td>{{ azienda.cognome }}</td>
                    <td>{{ azienda.agenzia }}</td>
                    <td class="text-right">
                        <div class="btn-group">
                            <button type="submit"
                                    [routerLink]="['/azienda', azienda.id, 'view']"
                                    class="btn btn-info btn-sm">
                                <fa-icon icon="eye"></fa-icon>
                                <span class="d-none d-md-inline" jhiTranslate="entity.action.view">View</span>
                            </button>

                            <button type="submit"
                                    [routerLink]="['/azienda', azienda.id, 'edit']"
                                    class="btn btn-primary btn-sm">
                                <fa-icon icon="pencil-alt"></fa-icon>
                                <span class="d-none d-md-inline" jhiTranslate="entity.action.edit">Edit</span>
                            </button>

                            <button type="submit" (click)="delete(azienda)"
                                    class="btn btn-danger btn-sm">
                                <fa-icon icon="times"></fa-icon>
                                <span class="d-none d-md-inline" jhiTranslate="entity.action.delete">Delete</span>
                            </button>
                        </div>
                    </td>
                </tr>
            </tbody>
        </table>
    </div>
</div>
